Subject: bug#8784: [PATCH] {maint} distcheck: add support for AM_DISTCHECK_CONFIGURE_FLAGS

From: "Ralf Wildenhues" <[email-masked]>
Date: Tue, 14 Jun 2011 23:24:22 +0200

* Stefano Lattarini wrote on Fri, Jun 10, 2011 at 05:33:39PM CEST:
>  <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8784>
> On Thursday 02 June 2011, Stefano Lattarini wrote:
> > Continuing with the good trend of avoiding to impinge on the user
> > namespace, we should start supporting AM_DISTCHECK_CONFIGURE_FLAGS
> > in addition to DISTCHECK_CONFIGURE_FLAGS, so that the former can be
> > reserved for the developer to be set in the 'Makefile.am's, and the
> > latter left for the user, packager or tester to use freely.

Sure, but: the previous lack of AM_DISTCHECK_CONFIGURE_FLAGS was due to
the motivation that developers should make their code buildable
without any special configure options.

I would suggest to at least discourage using this in the documentation.

Other than that, the patch looks OK to me, thanks.

Cheers,
Ralf